> ## Documentation Index
> Fetch the complete documentation index at: https://docs.byblend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an order's status history

> Retrieve the status history for an order.



## OpenAPI

````yaml /openapi-public.yml get /api/v1/orders/{order_id}/status_history
openapi: 3.0.3
info:
  title: Blend API
  version: 1.0.0
  description: API for Blend
servers:
  - url: https://api.byblend.com
    description: Blend production server
security:
  - bearerAuth: []
tags:
  - name: Orders
    description: Order management endpoints
  - name: Patients
    description: Patient management endpoints
  - name: Reports
    description: Reporting endpoints
  - name: Products and Materials
    description: Product catalog and inventory endpoints
  - name: Electronic Prescriptions
    description: Electronic prescription management endpoints
  - name: Prescriptions
    description: Prescription management endpoints
  - name: Authentication
    description: Authentication endpoints
  - name: Notifications
    description: User management endpoints
  - name: Prescribers
paths:
  /api/v1/orders/{order_id}/status_history:
    get:
      tags:
        - Orders
      summary: Get an order's status history
      description: Retrieve the status history for an order.
      parameters:
        - name: order_id
          in: path
          required: true
          description: >-
            Unique identifier for the order, either UUID, order number (e.g.
            ORD250312003548IAU4), or external ID (e.g. my-system-128318AA2) if
            you have provided one during order creation or update.
          schema:
            type: string
      responses:
        '200':
          description: Successful response with statuses
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OrderStatusHistory'
components:
  schemas:
    OrderStatusHistory:
      allOf:
        - type: object
          properties:
            duration:
              type: integer
              description: Duration, in minutes, order remained in this status
              example: 10
            status:
              type: string
              description: Name of the status
              example: received
            updated_at:
              type: string
              format: date-time
              description: Date and time of last update
              example: '2025-03-15T12:00:00Z'
            updated_by:
              type: object
              properties:
                id:
                  type: string
                  format: uuid
                  description: ID of the user who updated the status
                  example: 0227d1e5-ba9a-42b5-8fe2-38882aa65708
                first_name:
                  type: string
                  description: First name of the user who updated the status
                  example: John
                last_name:
                  type: string
                  description: Last name of the user who updated the status
                  example: Doe
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````